Package ghidra.features.bsim.gui

# Class BSimSearchPlugin

java.lang.Object
ghidra.framework.plugintool.Plugin
ghidra.app.plugin.ProgramPlugin
ghidra.features.bsim.gui.BSimSearchPlugin

All Implemented Interfaces:
  `PluginEventListener`, `ServiceListener`, `ExtensionPoint`

public class BSimSearchPlugin extends ProgramPlugin
Plugin for BSim search features

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `HELP_TOPIC`

  ### Fields inherited from class ghidra.app.plugin.ProgramPlugin

  `currentHighlight, currentLocation, currentProgram, currentSelection`

  ### Fields inherited from class ghidra.framework.plugintool.Plugin

  `name, pluginDescription, tool`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BSimSearchPlugin(PluginTool plugintool)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canCloseDomainObject(DomainObject dObj)`
  Override this method if the plugin needs to cancel the closing of the domain object
  `void`
  `closeAllProviders()`
  `void`
  `dispose()`
  Tells a plugin that it is no longer needed.
  `void`
  `doBSimSearch(Program program, List<Address> functionAddresses, boolean showDialog)`
  `protected void`
  `init()`
  Initialization method; override to add initialization for this plugin.
  `protected void`
  `programClosed(Program program)`
  Subclasses should override this method if it is interested when a program is closed.
  `void`
  `providerClosed(BSimOverviewProvider overviewProvider)`
  `void`
  `providerClosed(BSimSearchResultsProvider provider)`

  ### Methods inherited from class ghidra.app.plugin.ProgramPlugin

  `getCurrentProgram, getProgramHighlight, getProgramLocation, getProgramSelection, goTo, goTo, highlightChanged, locationChanged, postProgramActivated, processEvent, programActivated, programDeactivated, programOpened, selectionChanged, setSelection`

  ### Methods inherited from class ghidra.framework.plugintool.Plugin

  `accept, acceptData, canClose, cleanup, close, dataStateRestoreCompleted, dependsUpon, deregisterService, equals, eventSent, firePluginEvent, getData, getMissingRequiredServices, getName, getPluginDescription, getServicesRequired, getSupportedDataTypes, getTool, getTransientState, getUndoRedoState, hashCode, hasMissingRequiredService, hasUnsaveData, internalRegisterEventConsumed, isDisposed, prepareToSave, readConfigState, readDataState, registerDynamicServiceProvided, registerServiceProvided, restoreTransientState, restoreUndoRedoState, saveData, serviceAdded, serviceRemoved, writeConfigState, writeDataState`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### HELP_TOPIC

    public static final String HELP_TOPIC
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BSimSearchPlugin

    public BSimSearchPlugin(PluginTool plugintool)

- ## Method Details

  - ### init

    protected void init()
    Description copied from class: `Plugin`
    Initialization method; override to add initialization for this plugin. This is where a plugin should acquire its services. When this method is called, all plugins have been instantiated in the tool.
    Overrides:
      `init` in class `Plugin`

  - ### doBSimSearch

    public void doBSimSearch(Program program, List<Address> functionAddresses, boolean showDialog)

  - ### dispose

    public void dispose()
    Description copied from class: `Plugin`
    Tells a plugin that it is no longer needed. The plugin should release any resources that it has. All actions, components, services will automatically be cleaned up.
    Overrides:
      `dispose` in class `Plugin`

  - ### canCloseDomainObject

    protected boolean canCloseDomainObject(DomainObject dObj)
    Description copied from class: `Plugin`
    Override this method if the plugin needs to cancel the closing of the domain object
    Overrides:
      `canCloseDomainObject` in class `Plugin`
    Parameters:
      `dObj` - the domain object
    Returns:
      false if the domain object should NOT be closed

  - ### programClosed

    protected void programClosed(Program program)
    Description copied from class: `ProgramPlugin`
    Subclasses should override this method if it is interested when a program is closed. This event has no affect on the "current Program". A "programDeactivated" call will occur that affects the active program.
    Overrides:
      `programClosed` in class `ProgramPlugin`
    Parameters:
      `program` - the program being closed.

  - ### closeAllProviders

    public void closeAllProviders()

  - ### providerClosed

    public void providerClosed(BSimSearchResultsProvider provider)

  - ### providerClosed

    public void providerClosed(BSimOverviewProvider overviewProvider)